com.io7m.jregions.core.unparameterized.volumes

## Interface VolumeValuesLType

- All Superinterfaces:
    VolumeSizeValuesLType
  All Known Subinterfaces:
    PVolumeLType<S>, VolumeLType
  All Known Implementing Classes:
    PVolumeL, VolumeL

      public interface VolumeValuesLType
      extends VolumeSizeValuesLType

  A volume with `long` coordinates.

  The coordinates of the volume are given in half-closed form. That is, `minimumX()` refers to the minimum inclusive value on the X axis, and `maximumX()` refers to the maximum exclusive value on the X axis. Likewise for the Y and Z axes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `maximumX()`
    `long` | `maximumY()`
    `long` | `maximumZ()`
    `long` | `minimumX()`
    `long` | `minimumY()`
    `long` | `minimumZ()`
    `default long` | `sizeX()`
    `default long` | `sizeY()`
    `default long` | `sizeZ()`

- - ### Method Detail

    - #### minimumX

          long minimumX()

      Returns:
        The value on the X axis of the minimum edge of the box (inclusive)

    - #### maximumX

          long maximumX()

      Returns:
        The value on the X axis of the maximum edge of the box (exclusive)

    - #### minimumY

          long minimumY()

      Returns:
        The value on the Y axis of the minimum edge of the box (inclusive)

    - #### maximumY

          long maximumY()

      Returns:
        The value on the Y axis of the maximum edge of the box (exclusive)

    - #### minimumZ

          long minimumZ()

      Returns:
        The value on the Z axis of the minimum edge of the box (inclusive)

    - #### maximumZ

          long maximumZ()

      Returns:
        The value on the Z axis of the maximum edge of the box (exclusive)

    - #### sizeX

          default long sizeX()

      Specified by:
        `sizeX` in interface `VolumeSizeValuesLType`
      Returns:
        The size of the area on the X axis

    - #### sizeY

          default long sizeY()

      Specified by:
        `sizeY` in interface `VolumeSizeValuesLType`
      Returns:
        The size of the area on the Y axis

    - #### sizeZ

          default long sizeZ()

      Specified by:
        `sizeZ` in interface `VolumeSizeValuesLType`
      Returns:
        The size of the area on the Z axis

Copyright © 2017 <code@io7m.com> http://io7m.com